;InnoSetupVersion=4.2.6

[Setup]
AppName=WinServices
AppVerName=WinServices v2.1.1.8
AppId=WinServices
AppPublisher=The Dominetrix Team
AppPublisherURL=http://www.dominetrix.org
AppSupportURL=http://www.dominetrix.org
AppUpdatesURL=http://www.dominetrix.org
DefaultDirName={pf}\WinTools\WinServices
DefaultGroupName=WinTools\WinServices
OutputBaseFilename=ws2_setup
Compression=lzma
PrivilegesRequired=none
AllowNoIcons=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\WinServices.exe"; DestDir: "{app}"; Languages: "ENG,ESP,NL"; Flags: ignoreversion 
Source: "{app}\WinServicesLang_ENG.dll"; DestDir: "{app}"; Languages: "ENG,ESP,NL"; Flags: ignoreversion 
Source: "{app}\WinServicesLang_NL.dll"; DestDir: "{app}"; Languages: "NL,ENG,ESP"; Flags: ignoreversion 
Source: "{app}\WSSL.exe"; DestDir: "{app}"; Languages: "ENG,ESP,NL"; Flags: ignoreversion 

[Run]
Filename: "{app}\WSSL.exe"; Parameters: "WinServicesLang_ENG.dll WinServicesLang_NL.dll"; Languages: "ESP"; 
Filename: "{app}\WSSL.exe"; Parameters: "WinServicesLang_NL.dll WinServicesLang_ENG.dll 1"; Languages: "ENG"; 
Filename: "{app}\WSSL.exe"; Parameters: "WinServicesLang_ENG.dll WinServicesLang_NL.dll 1"; Languages: "NL"; 
Filename: "{app}\WinServices.exe"; Description: "{cm:LaunchProgram,WinServices}"; Languages: "ENG,ESP,NL"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\WinServices"; Filename: "{app}\WinServices.exe"; WorkingDir: "{app}"; Languages: "NL,ENG,ESP"; 
Name: "{group}\{cm:UninstallProgram,WinServices}"; Filename: "{uninstallexe}"; Languages: "NL,ENG,ESP"; 
Name: "{userdesktop}\WinServices"; Filename: "{app}\WinServices.exe"; WorkingDir: "{app}"; Tasks: desktopicon; Languages: "NL,ENG,ESP"; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\WinServices"; Filename: "{app}\WinServices.exe"; WorkingDir: "{app}"; Tasks: quicklaunchicon; Languages: "NL,ENG,ESP"; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Languages: "NL,ENG,ESP"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Languages: "NL,ENG,ESP"; 

[CustomMessages]
ESP.NameAndVersion=%1 versin %2
ESP.AdditionalIcons=Iconos adicionales:
ESP.CreateDesktopIcon=Crear un icono en el Escritorio
ESP.CreateQuickLaunchIcon=Crear un icono en la &Barra de herramientas
ESP.ProgramOnTheWeb=%1 a Internet
ESP.UninstallProgram=Desinstalar %1
ESP.LaunchProgram=Abrir %1
ESP.AssocFileExtension=&Asociar %1 con la extensin de archivo %2
ESP.AssocingFileExtension=Asociando %1 con la extensin de archivo %2...
ENG.NameAndVersion=%1 version %2
ENG.AdditionalIcons=Additional icons:
ENG.CreateDesktopIcon=Create a &desktop icon
ENG.CreateQuickLaunchIcon=Create a &Quick Launch icon
ENG.ProgramOnTheWeb=%1 on the Web
ENG.UninstallProgram=Uninstall %1
ENG.LaunchProgram=Launch %1
ENG.AssocFileExtension=&Associate %1 with the %2 file extension
ENG.AssocingFileExtension=Associating %1 with the %2 file extension...
NL.NameAndVersion=%1 versie %2
NL.AdditionalIcons=Extra snelkoppelingen:
NL.CreateDesktopIcon=Maak een snelkoppeling op het &bureaublad
NL.CreateQuickLaunchIcon=Maak een snelkoppeling op de &Snel starten werkbalk
NL.ProgramOnTheWeb=%1 op het Web
NL.UninstallProgram=Verwijder %1
NL.LaunchProgram=&Start %1
NL.AssocFileExtension=&Koppel %1 aan de %2 bestandsextensie
NL.AssocingFileExtension=Bezig met koppelen van %1 aan de %2 bestandsextensie...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "ESP"; MessagesFile: "embedded\ESP.isl"; InfoBeforeFile: "embedded\ESPInfoBefore.txt"; 
Name: "ENG"; MessagesFile: "embedded\ENG.isl"; 
Name: "NL"; MessagesFile: "embedded\NL.isl"; 
